Bug 7080 - Clean up interface on fine payment screens
Summary: Clean up interface on fine payment screens
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.8
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-24 12:53 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (11.75 KB, patch)
2011-10-24 12:58 UTC, Owen Leonard
Details | Diff | Splinter Review
pay.pl revised interface (14.68 KB, image/png)
2011-10-24 13:29 UTC, Owen Leonard
Details
After clicking pay button on individual fine (9.46 KB, image/png)
2011-10-24 13:29 UTC, Owen Leonard
Details
After clicking write off button on individual fine (9.15 KB, image/png)
2011-10-24 13:30 UTC, Owen Leonard
Details
After clicking pay amount button (6.22 KB, image/png)
2011-10-24 13:30 UTC, Owen Leonard
Details
After clicking pay selected button (6.52 KB, image/png)
2011-10-24 13:30 UTC, Owen Leonard
Details
After clicking write off all button (18.15 KB, image/png)
2011-10-24 13:30 UTC, Owen Leonard
Details
Signed off patch (11.71 KB, patch)
2011-12-15 21:35 UTC, Duncan
Details | Diff | Splinter Review
Changed casing on tab titles for fines page - bug 7080 (4.64 KB, patch)
2011-12-15 23:08 UTC, Duncan
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7080: Changed casing on tab titles for fines page (4.74 KB, patch)
2011-12-16 05:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Fix for Bug 7080 - Clean up interface on fine payment screens (12.31 KB, patch)
2012-02-03 16:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7080 - Revised - Clean up interface on fine payment screens (16.32 KB, patch)
2012-02-08 17:41 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7080 - Revised - Clean up interface on fine payment screens (16.56 KB, patch)
2012-02-12 19:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-10-24 12:53:03 UTC
- Move some content out of table cells
- Improve table markup with <thead>, <tbody>, and <tfoot>
- Improve breadcrumb specificity on paycollect.pl
- Add clearer messages for different actions (Pay selected fines, pay an 
  individual fine, etc.
- Add client-side warning to pay.pl when writing-off all
- Correcting terminology: When a verb, "write off," when a noun: "Writeoff."
Comment 1 Owen Leonard 2011-10-24 12:58:29 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2011-10-24 13:29:12 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2011-10-24 13:29:41 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2011-10-24 13:30:06 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2011-10-24 13:30:27 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2011-10-24 13:30:44 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2011-10-24 13:30:58 UTC Comment hidden (obsolete)
Comment 8 Duncan 2011-12-15 21:35:12 UTC Comment hidden (obsolete)
Comment 9 Duncan 2011-12-15 23:08:01 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2011-12-16 05:36:45 UTC Comment hidden (obsolete)
Comment 11 Paul Poulain 2012-02-02 11:12:31 UTC
Sorry, but this patch is conflicting a little with the bug 7005 I just pushed before this one
Should be easy to fix, and switch back to signed-off
Comment 12 Owen Leonard 2012-02-03 16:56:31 UTC Comment hidden (obsolete)
Comment 13 Ian Walls 2012-02-06 16:28:06 UTC
First patch ([SIGNED-OFF] Bug 7080: Changed casing on tab titles for fines page) is just template-only case changes, so it is Passed QA and can be pushed.

Second patch is rebased of previously signed off patch.  Template only, adds clearer messages much in the vein of other work.  Marking as Passed QA as well.
Comment 14 Paul Poulain 2012-02-06 21:13:04 UTC
it does not really matter for a frenchy like me, but I thought we've said that we wanted to use capital letters only on the 1st word.
For example:
"Pay fines", and not "Pay Fines". The 1st patch switches to Pay Fines. Is it inconsistent ? Is there something i've missed (it's the title of a tab, does that explain)

However, i'd like to see the rule clearly explained. Owen, I think you're the best developer to explain it.
Once you're made it:
* i'll push the patches
* i'll write the coding guideline on the wiki

Thanks for your feedback
Comment 15 Owen Leonard 2012-02-07 13:53:24 UTC
There was a bug for the capitalization issue, Bug 2780, which I would favor re-opening to act as an omnibus bug report for standardizing capitalization.

I agree that it would be best to follow a standard: Only the first letter of menu items, tab labels, page titles, etc. should be capitalized.
Comment 16 Paul Poulain 2012-02-07 17:35:10 UTC
(In reply to comment #15)
> There was a bug for the capitalization issue, Bug 2780, which I would favor
> re-opening to act as an omnibus bug report for standardizing capitalization.
> 
> I agree that it would be best to follow a standard: Only the first letter of
> menu items, tab labels, page titles, etc. should be capitalized.

OK, Katrin has reopened bug 2780.
Owen could you send an update for this patch removing the useless capitalized ? 

I've added HTML4 rule on the coding guidelines
Comment 17 Owen Leonard 2012-02-08 17:41:06 UTC Comment hidden (obsolete)
Comment 18 Katrin Fischer 2012-02-12 19:56:35 UTC
Created attachment 7596 [details] [review]
[SIGNED-OFF] Bug 7080 - Revised - Clean up interface on fine payment screens

- Move some content out of table cells
- Improve table markup with <thead>, <tbody>, and <tfoot>
- Improve breadcrumb specificity on paycollect.pl
- Add clearer messages for different actions (Pay selected fines, pay an
  individual fine, etc.
- Add client-side warning to pay.pl when writing-off all
- Correcting terminology: When a verb, "write off," when a noun: "Writeoff."

Revision: Correcting tab label case according to Bug 2780 guidelines

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
I checked all 4 fine tabs and performed different fine actions.
The layout on all pages looks clean and correct.
I tested the new client-side warning and made sure it's translatable.
Labels have proper capitalization.
Comment 19 Paul Poulain 2012-02-15 15:53:01 UTC
QA comments:
* valid-templates.t & translatable-templates.t OK
* template changes only
* tried to pay & writeoff a fine, works fine

passed QA
Comment 20 Paul Poulain 2012-02-15 15:54:25 UTC
Marking this for 3.8 because there are changes in strings, will be easier for translators. It's not needed to have those changes in 3.6, as they are purely cosmetic & valid HTML & improved messages